compcache/ramzswap support in initrd broken due to typo in /usr/share/initramfs-tools/hooks/compcache:74

Bug #569317 reported by Eugene San on 2010-04-24
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
initramfs-tools (Ubuntu)
High
Colin Watson
Lucid
High
Colin Watson

Bug Description

Binary package hint: initramfs-tools

compcache/ramzswap stopped working after upgrade to initramfs-tools-0.92bubuntu76
There is a typo at line 74 in /usr/share/initramfs-tools/hooks/compcache, missing '\'.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: initramfs-tools 0.92bubuntu76 [modified: usr/share/initramfs-tools/hooks/compcache]
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
Architecture: i386
Date: Sat Apr 24 09:41:03 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Release Candidate i386 (20100419.1)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: initramfs-tools

Eugene San (eugenesan) wrote :
Eugene San (eugenesan) on 2010-04-26
Changed in initramfs-tools (Ubuntu):
status: New → Confirmed
Colin Watson (cjwatson) wrote :

Argh. Thanks, trying to get a late fix in now.

Changed in initramfs-tools (Ubuntu Lucid):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
milestone: none → ubuntu-10.04
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.92bubuntu78

---------------
initramfs-tools (0.92bubuntu78) lucid; urgency=low

  * hooks/compcache: Escape $-expansions inside <<EOF (thanks, Eugene San;
    LP: #569317).
 -- Colin Watson <email address hidden> Mon, 26 Apr 2010 16:15:57 +0100

Changed in initramfs-tools (Ubuntu Lucid):
status: Fix Committed → Fix Released
Erick Brunzell (lbsolost) wrote :

Perhaps related or not, but after experiencing the same bug I updated to the newest intramfs-* packages through a chroot and it did get me booted but NO desktop settings were saved, and also my custom /etc/fstab was not "read". It was like booting a Live CD with none of my customizations saved.

Erick Brunzell (lbsolost) wrote :

OK, first boot after performing these updates in a chroot did as described above. That is no previous settings were observed.

The second boot resulted in about one minute of disc checks followed by a "normal" desktop with all partitions mounted.

The third boot seemed totally normal.

Erick Brunzell (lbsolost) wrote :

I should perhaps list all updates performed today:

Commit Log for Mon Apr 26 08:08:49 2010
Upgraded the following packages:
dmsetup (2:1.02.39-1ubuntu3) to 2:1.02.39-1ubuntu4
gnome-settings-daemon (2.30.0-0ubuntu5) to 2.30.0-0ubuntu6
hunspell-en-ca (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
initramfs-tools (0.92bubuntu76) to 0.92bubuntu77
initramfs-tools-bin (0.92bubuntu76) to 0.92bubuntu77
libdevmapper1.02.1 (2:1.02.39-1ubuntu3) to 2:1.02.39-1ubuntu4
libplymouth2 (0.8.2-2) to 0.8.2-2ubuntu1
mountall (2.13) to 2.14
myspell-en-gb (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
myspell-en-za (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
plymouth (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-label (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-theme-ubuntu-logo (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-theme-ubuntu-text (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-x11 (0.8.2-2) to 0.8.2-2ubuntu1
xserver-xorg-video-intel (2:2.9.1-3ubuntu4) to 2:2.9.1-3ubuntu5

Commit Log for Mon Apr 26 09:56:22 2010
Upgraded the following packages:
libldap-2.4-2 (2.4.21-0ubuntu4) to 2.4.21-0ubuntu5

Commit Log for Mon Apr 26 13:22:29 2010
Upgraded the following packages:
initramfs-tools (0.92bubuntu77) to 0.92bubuntu78
initramfs-tools-bin (0.92bubuntu77) to 0.92bubuntu78
libparse-debianchangelog-perl (1.1.1-2ubuntu1) to 1.1.1-2ubuntu2
libtelepathy-glib0 (0.10.1-1) to 0.10.1-1ubuntu2

Erick Brunzell (lbsolost) wrote :

For what it's worth I think you're OK here now. I booted into another testing Lucid OS that I'd last used yesterday and after running all updates everything is good!

That is this should only effect a small percentage of testers that were unfortunate enough to "grab" the bad "initramfs" packages. And it can be corrected through a chroot although it requires more than one reboot.

Here's the update log on this one:

Commit Log for Mon Apr 26 14:08:06 2010
Upgraded the following packages:
dmsetup (2:1.02.39-1ubuntu3) to 2:1.02.39-1ubuntu4
gnome-settings-daemon (2.30.0-0ubuntu5) to 2.30.0-0ubuntu6
hunspell-en-ca (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
initramfs-tools (0.92bubuntu76) to 0.92bubuntu78
initramfs-tools-bin (0.92bubuntu76) to 0.92bubuntu78
libdevmapper1.02.1 (2:1.02.39-1ubuntu3) to 2:1.02.39-1ubuntu4
libldap-2.4-2 (2.4.21-0ubuntu4) to 2.4.21-0ubuntu5
libparse-debianchangelog-perl (1.1.1-2ubuntu1) to 1.1.1-2ubuntu2
libplymouth2 (0.8.2-2) to 0.8.2-2ubuntu1
librsvg2-2 (2.26.2-0ubuntu1) to 2.26.2-0ubuntu2
librsvg2-common (2.26.2-0ubuntu1) to 2.26.2-0ubuntu2
libtelepathy-glib0 (0.10.1-1) to 0.10.1-1ubuntu2
mountall (2.13) to 2.14
myspell-en-gb (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
myspell-en-za (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
openoffice.org-thesaurus-en-us (1:3.2.0-3ubuntu2) to 1:3.2.0-3ubuntu3
plymouth (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-label (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-theme-ubuntu-logo (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-theme-ubuntu-text (0.8.2-2) to 0.8.2-2ubuntu1
plymouth-x11 (0.8.2-2) to 0.8.2-2ubuntu1
xserver-xorg-video-intel (2:2.9.1-3ubuntu4) to 2:2.9.1-3ubuntu5

Erick Brunzell (lbsolost) wrote :

I'm having some really odd behavior, perhaps related or not, but on some reboots I can't boot at all. On other reboots I get a very long disc check ....... like 3 to 5 minutes!

But I've been iso-testing so I need to drop that and see what I can make of this.

Erick Brunzell (lbsolost) wrote :

Colin, as you expected it wasn't. I'd done a poor job of reconnecting my SATA drive cable. Shame on me.

Too tired = too sloppy :^(

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers